import * as _nuxt_schema from '@nuxt/schema';
import { HookResult } from '@nuxt/schema';
import { CodeToHastOptions, BundledTheme, BundledLanguage } from 'shiki';

type HighlightOptions = CodeToHastOptions & {
    theme?: BundledTheme;
    themes?: Record<string, BundledTheme>;
    /** unwrap pre > code to code */
    unwrap?: boolean;
};
declare module "nuxt/app" {
    interface RuntimeNuxtHooks {
        "shiki:options": (ctx: {
            options: HighlightOptions;
            extend: (options: Partial<HighlightOptions>) => void;
        }) => HookResult;
    }
}

interface ModuleOptions {
    /** Themes */
    bundledThemes?: BundledTheme[];
    /** Languages */
    bundledLangs?: BundledLanguage[];
    /** Default theme */
    defaultTheme?: BundledTheme | Record<"dark" | "light" | (string & object), BundledTheme>;
    /** Default language */
    defaultLang?: BundledLanguage;
    /** Is dynamic loading enabled */
    dynamic?: boolean;
    /** Additional highlight options */
    highlightOptions?: Partial<HighlightOptions>;
    /**
     * Alias of languages
     * @example { 'my-lang': 'javascript' }
     */
    langAlias?: Record<string, string>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions, ModuleOptions, false>;

export { type ModuleOptions, _default as default };
